<template>
    <div>
        <b-row >   
            <b-col md="12" class="mb-5">
                <b-card-group deck>
                    <b-card 
                        style="max-width: 20rem"
                        class="mb-2"
                        v-for="item in modulosPermitidos" :key="item.codigo">
                        <b-avatar 
                            :variant="item.cor" class="align-baseline"
                            :icon="item.icone"
                            rounded="left"
                        ></b-avatar>
                        <span class="pl-2"> {{ item.descricao }}</span>
                        <ul class="p-0 pt-3">
                            <li v-for="link in item.links" :key="link.nome" class="link-menu">
                                <b-link :to="link.url" class="pl-1">{{link.nome}}</b-link>
                            </li>
                        </ul>
                    </b-card>
                </b-card-group>
            </b-col>
        </b-row>
    </div>
</template>

<script>
import Modulos from '../modulos.js'
export default {
    data: function() {
      return {  Modulos }
    }, 
    computed:{
        modulosPermitidos() {
            let roles = this.$store.getters.roles
            if(!roles){ return [] }
            let modulosPermitidos = Modulos.filter(m => {
                let rolesInterception = roles.filter(r => m.roles.indexOf(r) >= 0)
                return rolesInterception.length > 0
            })
            return  modulosPermitidos
        }
    }
}
</script>

<style scoped>
    .link-menu {
        list-style-type: none;
    }
</style>
